Telegram APIChannels
channels.getChannels
Get info about channels/supergroups
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Get info about channels/supergroups
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.getChannels" \ -H "Content-Type: application/json" \ -d '{ "params": { "id": [ { "_": "inputChannelEmpty" } ] } }'{ "result": { "_": "messages.chats", "chats": [ { "_": "chatEmpty", "id": 0 } ] }}getChannelRecommendations
Obtain a list of similarly themed public channels, selected based on similarities in their subscriber bases.
getFullChannel
Get full info about a [supergroup](https://core.telegram.org/api/channel#supergroups), [gigagroup](https://core.telegram.org/api/channel#gigagroups) or [channel](https://core.telegram.org/api/channel#channels)